Package org.tmatesoft.svn.core.wc2

# Interface ISvnCommitParameters

public interface ISvnCommitParameters
Interface describes the parameters defining behavior for the commit operation that touches still versioned files or directories that are somehow missing.

To bring your commit parameters into usage, simply pass them to a committer object, for example, to `SvnCommit`.

Version:
  1.7
Author:
  TMate Software Ltd.

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static enum`
`ISvnCommitParameters.Action`
Describes an instruction that operation should take if it meets unversioned or missing item.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`onDirectoryDeletion(File directory)`
Instructs whether to remove the local `directory` after commit or not.
`boolean`
`onFileDeletion(File file)`
Instructs whether to remove the local `file` after commit or not.
`ISvnCommitParameters.Action`
`onMissingDirectory(File file)`
Returns the action a commit operation should undertake if there's a missing directory under commit scope that is not however scheduled for deletion.
`ISvnCommitParameters.Action`
`onMissingFile(File file)`

## Method Details

### onMissingFile

ISvnCommitParameters.Action onMissingFile(File file)

### onMissingDirectory

ISvnCommitParameters.Action onMissingDirectory(File file)
Returns the action a commit operation should undertake if there's a missing directory under commit scope that is not however scheduled for deletion.

Parameters:
  `file` - a missing directory
Returns:
  an action that must be one of the constants defined in the interface

### onDirectoryDeletion

boolean onDirectoryDeletion(File directory)
Instructs whether to remove the local `directory` after commit or not.

Parameters:
  `directory` - working copy directory
Returns:
  `true` if directory should be deleted after commit

### onFileDeletion

boolean onFileDeletion(File file)
Instructs whether to remove the local `file` after commit or not.

Parameters:
  `file` - working copy file
Returns:
  `true` if file should be deleted after commit